function love.load()

	-- set title as client1
    love.window.setTitle("client1")

	-- initialize UDP client protocol
    local socket = require('socket')
    local address, port = "localhost", 12345
    udp = socket.udp()
    udp:setpeername(address, port)
    udp:settimeout(0)

end

function love.update(dt)

    -- send message to server
	udp:send("Hello!")
	
	-- receive confirmation from server that message was received
	data = udp:receive()

end

function love.draw()
	
	-- print the confirmation from server
	if data then
		love.graphics.print("Message from server: " .. data, 5, 5)
	end

end

