function love.load()

	-- set title as client2
    love.window.setTitle("client2")

	-- initialize UDP client protocol
    local socket = require('socket')
    local address, port = "localhost", 12345
    udp = socket.udp()
    udp:setpeername(address, port)
    udp:settimeout(0)

end

function love.update(dt)
	
	-- receive message from server about client1's message
	data = udp:receive()

end

function love.draw()
	
	-- print the confirmation from server that client1 sent a message
	if data then
		love.graphics.print("Message from server: " .. data, 5, 5)
	end

end

