function love.load()

	-- set title as server
    love.window.setTitle("server")

	-- initialize UDP server protocol
    local socket = require('socket')
    udp = socket.udp()
    udp:setsockname('*', 12345)
    udp:settimeout(0)

end

function love.update(dt)

	-- receive data from client 1
    data, msg_or_ip, port_or_nil = udp:receivefrom()
	
	-- if data is received, send to all clients confirmation of reception
    if data then
		udp:sendto("Received message from client1, OK!", msg_or_ip, port_or_nil)
    end

end

function love.draw()

	-- print the message received from client1
    if data then
        love.graphics.print("Message from client: " .. data, 5, 5)
    end

end

